# DAGlobalToNaturalBegin

Maps values from the global vector to a global vector in the "natural" grid ordering. Must be followed by DAGlobalToNaturalEnd() to complete the exchange.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGlobalToNaturalBegin(DA da,Vec g,InsertMode mode,Vec l)

Collective on DA

### Input Parameters

| da | - the distributed array context
| g | - the global vector
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the natural ordering values

### Notes

The global and natrual vectors used here need not be the same as those obtained from DACreateGlobalVector() and DACreateNaturalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DA originating vectors.

### Keywords

distributed array, global to local, begin

### See Also

DAGlobalToNaturalEnd(), DALocalToGlobal(), DACreate2d(),
DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DACreateNaturalVector(), DALocalToGlobalBegin(), DALocalToGlobalEnd()

Level:advanced
Location: src/dm/da/src/dagtol.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages